<?php
define('XEN_THEME_PATH',		get_template_directory());
define('XEN_THEME_URL',		get_template_directory_uri());
require (XEN_THEME_PATH . '/includes/style.php');
// Enqueue JS
require (XEN_THEME_PATH . '/includes/js.php');
require (XEN_THEME_PATH . '/includes/color.php');
require (XEN_THEME_PATH . '/includes/AfterSetupTheme.php');
require (XEN_THEME_PATH . '/includes/functions.php');
require (XEN_THEME_PATH . '/pagination.php');
require (XEN_THEME_PATH . '/includes/ini/xen-base.php'); 
//Widget
require (XEN_THEME_PATH . '/xen-widget/xen-widget.php');

if ( ! isset( $content_width ) ) $content_width = 900;	

$xen_options = get_option('xen');

// register nav menu
function xen_register_menus() {
register_nav_menus( array( 
'top-menu' => esc_html__( 'Primary menu','xen' ),
)
);
}

add_action( 'after_setup_theme', 'xen_setup' );

function xen_setup() {
	// Add support for Block Styles.
	add_theme_support( 'wp-block-styles' );

	// Add support for full and wide align images.
	add_theme_support( 'align-wide' );

	// Add support for editor styles.
	add_theme_support( 'editor-styles' );
	// Enqueue editor styles.
	add_editor_style( 'style-editor.css' );
	
	// Add custom editor font sizes.
	add_theme_support(
			'editor-font-sizes',
			array(
				array(
					'name'      => esc_html__( 'Small', 'xen' ),
					'shortName' => esc_html__( 'S', 'xen' ),
					'size'      => 11,
					'slug'      => 'small',
				),
				array(
					'name'      => esc_html__( 'Normal', 'xen' ),
					'shortName' => esc_html__( 'M', 'xen' ),
					'size'      => 12,
					'slug'      => 'normal',
				),
				array(
					'name'      => esc_html__( 'Large', 'xen' ),
					'shortName' => esc_html__( 'L', 'xen' ),
					'size'      => 36,
					'slug'      => 'large',
				),
				array(
					'name'      => esc_html__( 'Huge', 'xen' ),
					'shortName' => esc_html__( 'XL', 'xen' ),
					'size'      => 49,
					'slug'      => 'huge',
				),
			)
		);
	
	add_theme_support( 'editor-color-palette', array(
        array(
            'name' => esc_html__( 'Lightning Yellow', 'xen' ),
            'slug' => 'lightning-yellow',
            'color' => '#F9BF26',
        ),
        array(
            'name' => esc_html__( 'Black', 'xen' ),
            'slug' => 'color-black',
            'color' => '#000',
        ),
        
    ) );
	// Add support for responsive embedded content.
	add_theme_support( 'responsive-embeds' );
	
	add_action( 'after_setup_theme', 'xen_lang_setup' );
	function xen_lang_setup(){
    load_theme_textdomain('xen', get_template_directory() . '/languages');
    }
	add_theme_support( 'automatic-feed-links' );
	remove_theme_support( 'widgets-block-editor' );
	add_theme_support( "title-tag" );
	add_post_type_support( 'portgallery', 'post-formats' );
}
// Word Limit 
	function xen_string_limit_words($string, $word_limit)
	{
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
	}
// Add post thumbnail functionality
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 559, 220, true ); // Normal post thumbnails
	add_image_size( 'xen_blog_image', 370, 208, true ); // Blog Thumbnail
	add_image_size( 'xen_portfolio_image', 758, 520, true ); // Portfolio Thumbnail
	add_image_size( 'xen_portfolio_image_gallery_car', 604, 400, true ); // Portfolio Thumbnail
	add_image_size( 'xen_port_gallery_header', 762, 441, true ); //galeery header
	add_image_size( 'xen_blog', 695, 375, true ); //blog

	
	
function xen_move_comment_field_to_bottom( $fields ) {
$comment_field = $fields['comment'];
unset( $fields['comment'] );
$fields['comment'] = $comment_field;
return $fields;
}
 
add_filter( 'comment_form_fields', 'xen_move_comment_field_to_bottom' );

// How comments are displayed
function xen_comment($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    extract($args, EXTR_SKIP);
if ( 'div' == $args['style'] ) {
      $tag = 'div';
      $add_below = 'comment';
    } else {
      $tag = 'li';
      $add_below = 'div-comment';
    }
?>
    <<?php echo esc_attr($tag); ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?>>
    <?php if ( 'div' != $args['style'] ) : ?>
	<?php endif; ?>
    <div class="comment-avatar"><?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, '70' ); ?></div>
	<div id="div-comment-<?php comment_ID() ?>" class="post-comment">
	<h6 class="small-title-oswald text-color-1"><?php printf(__('%s','xen'), get_comment_author_link()) ?></h6>
	<div class="date p-style-xsmall text-color-2 text-height-10"><?php comment_date(get_option( 'date_format')); ?></div>
	<div class="p-style-small text-height-15 text-color-1">
	<?php comment_text() ?>
	</div>
	<span class="reply small-title-oswald text-color-1 hover-color pointer-large"><?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?></span>
	
	</div>
	<div class="clearfix"></div>
    <?php if ($comment->comment_approved == '0') : ?>
    <em class="p-style-small text-height-15 text-color-1"><?php esc_html_e('Your comment is awaiting moderation.','xen') ?></em>
    <br />
	
   <?php endif; ?>    
<?php if ( 'div' != $args['style'] ) : ?>
    
    <?php endif; ?>
<?php
        }
// create sidebar & widget area
if(function_exists('register_sidebar')) {
function xen_theme_slug_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Blog Sidebar', 'xen' ),
        'id' => 'sidebar-1',
        'description' => esc_html__( 'This area is Blog widget.', 'xen' ),
        'before_widget' => '<div id="%1$s" class="widget bottom-padding-90 single-side-bar %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h4 class="p-style-bold-up red-color">', 
		'after_title'   => '</h4>'
    ) );
}
add_action( 'widgets_init', 'xen_theme_slug_widgets_init' );

function xen_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Page Sidebar', 'xen' ),
        'id' => 'sidebar-2',
        'description' => esc_html__( 'This area is Page widget.', 'xen' ),
        'before_widget' => '<div id="%1$s" class="widget bottom-padding-90 single-side-bar %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h4 class="p-style-bold-up red-color">', 
		'after_title'   => '</h4>'
    ) );
}
add_action( 'widgets_init', 'xen_widgets_init' );

function xen_footer1_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Footer Widget Area 1', 'xen' ),
        'id' => 'footer-widget-1',
        'description' => esc_html__( 'This area for footer widgets area 1.', 'xen' ),
        'before_widget' => '<div id="%1$s" class="footer-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<div class="footer-title fl-wrap">', 
		'after_title'   => '</div>'
    ) );
}
add_action( 'widgets_init', 'xen_footer1_widgets_init' );

function xen_footer2_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Footer Widget Area 2', 'xen' ),
        'id' => 'footer-widget-2',
        'description' => esc_html__( 'This area for footer widgets area 2.', 'xen' ),
        'before_widget' => '<div id="%1$s" class="footer-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<div class="footer-title fl-wrap">', 
		'after_title'   => '</div>'
    ) );
}
add_action( 'widgets_init', 'xen_footer2_widgets_init' );

function xen_footer3_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Footer Widget Area 3', 'xen' ),
        'id' => 'footer-widget-3',
        'description' => esc_html__( 'This area for footer widgets area 3.', 'xen' ),
        'before_widget' => '<div id="%1$s" class="footer-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<div class="footer-title fl-wrap">', 
		'after_title'   => '</div>'
    ) );
}
add_action( 'widgets_init', 'xen_footer3_widgets_init' );

if (class_exists('WooCommerce')) {
function solonick_woo_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'WOOCOMMERCE Sidebar', 'nastik' ),
        'id' => 'sidebar-3',
        'description' => esc_html__( 'This area for All WOOCOMMERCE Widget.', 'nastik' ),
        'before_widget' => '<div id="%1$s" class="widget bottom-padding-90 single-side-bar %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h4 class="p-style-bold-up red-color">', 
		'after_title'   => '</h4>'
    ) );
}
add_action( 'widgets_init', 'solonick_woo_widgets_init' );
}

}


if(function_exists('vc_set_as_theme')) vc_set_as_theme();
// Initialising Shortcodes
if (class_exists('WPBakeryVisualComposerAbstract')) {
  function requireVcExtend(){
    require_once (XEN_THEME_PATH . '/extendvc/extend-vc.php');
  }

}

function xen_my_search_form( $form ) {
$xen_options = get_option('xen');
if(!empty($xen_options['translet_opt_6'])) {
$xen_search_text = esc_html(xen_AfterSetupTheme::return_thme_option('translet_opt_6',''));
}
else {
$xen_search_text ='Type & Hit Enter...';
}
    $xen_form = '<form role="search" method="get" id="blog-search-form" class="form-search" action="' . esc_url(home_url( '/' )) . '" >
    <label class="screen-reader-text" for="s">' . esc_html__( 'Search for:','xen' ) . '</label>
    <input type="text" value="' . get_search_query() . '" name="s" id="s" class="search-control pointer-small" placeholder="'. esc_attr($xen_search_text).'" />
   <button class="search-btn pointer-large" type="button"><i class="fas fa-search"></i></button>
   </form>';
 
    return $xen_form;
}
add_filter( 'get_search_form', 'xen_my_search_form' );

if (is_admin() && isset($_GET['activated'])){
	wp_redirect(admin_url("themes.php?page=xen"));
}

function xen_excerpt_more( $more ) {
    return '...';
}
add_filter('excerpt_more', 'xen_excerpt_more');
function xen_excerpt_length( $length ) {
    return 22;
}
add_filter( 'excerpt_length', 'xen_excerpt_length', 999 );

function xen_submenu_classes() {
    return array('dropdown', 'sub-menu');
}
add_action('nav_menu_submenu_css_class', 'xen_submenu_classes');


/*removing default submit tag*/
remove_action('wpcf7_init', 'wpcf7_add_form_tag_submit');
/*adding action with function which handles our button markup*/
add_action('wpcf7_init', 'xen_child_cf7_button');
/*adding out submit button tag*/
if (!function_exists('xen_child_cf7_button')) {
function xen_child_cf7_button() {
wpcf7_add_form_tag('submit', 'xen_child_cf7_button_handler');
}
}

/*out button markup inside handler*/
if (!function_exists('xen_child_cf7_button_handler')) {
function xen_child_cf7_button_handler($tag) {
$tag = new WPCF7_FormTag($tag);
$class = wpcf7_form_controls_class($tag->type);
$atts = array();
$atts['class'] = $tag->get_class_option($class);
$atts['class'] .= ' xen-child-custom-btn';
$atts['id'] = $tag->get_id_option();
$atts['tabindex'] = $tag->get_option('tabindex', 'int', true);
$value = isset($tag->values[0]) ? $tag->values[0] : '';
if (empty($value)) {
$value = esc_html__('Send', 'xen');
}
$atts['type'] = 'submit';
$atts = wpcf7_format_atts($atts);
$html = sprintf('<div class="twelve-columns text-center top-padding-90"><button class="border-btn-box pointer-large"><span class="border-btn-inner"><span class="border-btn" data-text="%2$s">%2$s</span></span></button></div>', $atts, $value);
return $html;
}
}
function xen_body_classes( $classes ) {
    $classes[] = 'loader';
    return $classes;
}
add_filter( 'body_class','xen_body_classes' );
/* CHECK WOOCOMMERCE IS ACTIVE
  ================================================== */ 
  if ( ! function_exists( 'xen_woocommerce_activated' ) ) {
    function xen_woocommerce_activated() {
      if ( class_exists( 'woocommerce' ) ) {
        return true;
      } else {
        return false;
      }
    }
  }

function woocommerce_pagination() {
	xen_pagination(); 		
}