<?php
function xen_removeDemoModeLink() { 
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
    }
}


class Xen_Walker extends Walker_Nav_Menu {
  /**
   * @see Walker::start_el()
   * @since 3.0.0
   *
   * @param string $output Passed by reference. Used to append additional content.
   * @param object $item Menu item data object.
   * @param int $depth Depth of menu item. Used for padding.
   * @param int $current_page Menu item ID.
   * @param object $args
   */
 function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
    global $wp_query;
    $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

    $class_names = $value = '';

    $classes = empty( $item->classes ) ? array() : (array) $item->classes;
    $classes[] = 'menu-item-' . $item->ID;

    $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
	if ( $args->has_children ) {
    $class_names = ' class="dropdown-open nav-box nav-bg-change ' . esc_attr( $class_names ) . '"';
	}
	else {
    $class_names = ' class="nav-box nav-bg-change ' . esc_attr( $class_names ) . '"';
	}

    $id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
    $id = strlen( $id ) ? ' id="' . esc_attr( $id ) . '"' : '';

    $output .= $indent . '<li' . $id . $value . $class_names .'>';
	$attributes = '';
	$attributes_image = '';
	$attributes_image .= ! empty( $item->attr_title )        ? ' <div class="nav-bg" style="background-image: url('    . esc_url( $item->attr_title        ) .');"></div>' : '';
    //$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
    $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
	$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
	if ( $args->has_children ) {
    $attributes .= ! empty( $item->url )        ? ' ' : '';
	}
	else {
    $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
	}

    // Check our custom has_children property.
    if ( $args->has_children ) {
      $attributes .= ' class="pointer-large nav-link no-animation"';
    }
	else{
	$attributes .= ' class="animsition-link pointer-large  nav-link"';
	}
	
	$xen_menu_bg = wp_get_attachment_image_src( get_post_thumbnail_id( $item->object_id ), '' );
	
    $item_output = $args->before;
    $item_output .= '<a'. $attributes .'><span class="nav-btn" data-text="';
	$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
	$item_output .= '">';
    $item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
    $item_output .= '</span></a>';
	if ( $xen_menu_bg == true ) {
    $item_output .= '<div class="nav-bg" style="background-image: url('    . esc_url($xen_menu_bg[0]) .');"></div>';
	}
	else {
	$item_output .= ''.$attributes_image.'';
	}
    $item_output .= $args->after;

    $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
  }
 

  function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output ) {
    $id_field = $this->db_fields['id'];
    if ( is_object( $args[0] ) ) {
      $args[0]->has_children = ! empty( $children_elements[$element->$id_field] );
    }
    return parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
  }

}


/**
 * Include the TGM_Plugin_Activation class.
 */
require_once (XEN_THEME_PATH .'/framework/class-tgm-plugin-activation.php');

/**
 * Register the required plugins for this theme.
 */
function xen_register_required_plugins() {
if (class_exists('WooCommerce')) {
$xen_plugins = array(
// This is an example of how to include a plugin from the WordPress Plugin Repository.
        array(
            'name'      => esc_html__( 'Redux Framework', 'xen' ),
            'slug'      => 'redux-framework',
            'required'  => true,
			'force_activation'   => false,
            'force_deactivation' => false,
        ),
		
		array(
            'name'      => esc_html__( 'WPBakery Page Builder', 'xen' ),
            'slug'      => 'js_composer',
			'source'    => 'http://webredox.net/plugins/js_composer.zip',
            'required'  => true,
        ),	
		
		array(
            'name'               => esc_attr__( 'Revolution Slider', 'xen' ),
            'slug'               => 'revslider',
            'source'             => esc_url('http://webredox.net/plugins/revslider.zip','xen' ),
            'required'           => true,  
        ),
				
		array(
            'name'      => esc_html__( 'XEN Plugin', 'xen' ),
            'slug'      => 'xen-plugin',
			'source'    => 'http://webredox.net/plugins/xen-plugin.zip',
			'required'  => true,
        ),
		array(
            'name'      => esc_html__( 'Contact Form 7', 'xen' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ),
		
		array(
            'name'      => esc_html__( 'Meta Box', 'xen' ),
            'slug'      => 'meta-box',
            'required'  => true,
        ),
		array(
            'name'               => esc_attr__( 'WooSwatches - Woocommerce Color or Image Variation Swatches', 'xen' ),
            'slug'               => 'woocommerce-colororimage-variation-select',
            'source'             => esc_url('http://webredox.net/plugins/wooswatches.zip','xen' ),
            'required'           => false,  
        ),
		
		array(
            'name'      => esc_html__( 'XEN Demo Importer', 'xen' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ),
		
		
    );
}
else {
$xen_plugins = array(
// This is an example of how to include a plugin from the WordPress Plugin Repository.
        array(
            'name'      => esc_html__( 'Redux Framework', 'xen' ),
            'slug'      => 'redux-framework',
            'required'  => true,
			'force_activation'   => false,
            'force_deactivation' => false,
        ),
		
		array(
            'name'      => esc_html__( 'WPBakery Page Builder', 'xen' ),
            'slug'      => 'js_composer',
			'source'    => 'http://webredox.net/plugins/js_composer.zip',
            'required'  => true,
        ),	
		
		array(
            'name'               => esc_attr__( 'Revolution Slider', 'xen' ),
            'slug'               => 'revslider',
            'source'             => esc_url('http://webredox.net/plugins/revslider.zip','xen' ),
            'required'           => true,  
        ),
				
		array(
            'name'      => esc_html__( 'XEN Plugin', 'xen' ),
            'slug'      => 'xen-plugin',
			'source'    => 'http://webredox.net/plugins/xen-plugin.zip',
			'required'  => true,
        ),
		array(
            'name'      => esc_html__( 'Contact Form 7', 'xen' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ),
		
		array(
            'name'      => esc_html__( 'Meta Box', 'xen' ),
            'slug'      => 'meta-box',
            'required'  => true,
        ),
		
		array(
            'name'      => esc_html__( 'XEN Demo Importer', 'xen' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ),
		
		
    );
}

    /**
     * Array of configuration settings. Amend each line as needed.
     */
    $xen_config = array(
        'default_path' => '',                      
        'menu'         => 'tgmpa-install-plugins',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',                      
        'is_automatic' => false,                   
        'message'      => '',                      
        
    );
tgmpa( $xen_plugins, $xen_config );



}
//portfolio search
function xen_template_chooser($template)   
{    
  global $wp_query;   
  $xen_post_type = get_query_var('post_type');   
  if( $wp_query->is_search && $xen_post_type == 'portfolio' )   
  {
    return locate_template('search-portfolio.php');  
  }   
  return $template;   
}
add_filter('template_include', 'xen_template_chooser'); 

if ( is_admin() ) {

	function xen_remove_revolution_slider_meta_boxes() {
		remove_meta_box( 'mymetabox_revslider_0', 'page', 'normal' );
		remove_meta_box( 'mymetabox_revslider_0', 'post', 'normal' );
		remove_meta_box( 'mymetabox_revslider_0', 'gallery', 'normal' );
		remove_meta_box( 'slugdiv', 'gallery', 'normal' );
	}

	add_action( 'do_meta_boxes', 'xen_remove_revolution_slider_meta_boxes' );
	
}

