/**
 * footer-reveal.js
 * 
 * Licensed under the MIT license.
 * http://www.opensource.org/licenses/mit-license.php
 * 
 * Copyright 2014 Iain Andrew
 * https://github.com/IainAndrew
 */

(function(jQuery) {

  jQuery.fn.footerReveal = function(options) {

    var jQuerythis = jQuery(this),
        jQueryprev = jQuerythis.prev(),
        jQuerywin = jQuery(window),

        defaults = jQuery.extend ({
          shadow : true,
          shadowOpacity: 0.8,
          zIndex : -100
        }, options ),

        settings = jQuery.extend(true, {}, defaults, options);

    if (jQuerythis.outerHeight() <= jQuerywin.outerHeight() && jQuerythis.offset().top >= jQuerywin.outerHeight()) {
      jQuerythis.css({
        'z-index' : defaults.zIndex,
        position : 'fixed',
        bottom : 0
      });

      if (defaults.shadow) {
        jQueryprev.css ({
          '-moz-box-shadow' : '0 20px 30px -20px rgba(0,0,0,' + defaults.shadowOpacity + ')',
          '-webkit-box-shadow' : '0 20px 30px -20px rgba(0,0,0,' + defaults.shadowOpacity +')',
          'box-shadow' : '0 20px 30px -20px rgba(0,0,0,' + defaults.shadowOpacity + ')'
        });
      }

      jQuerywin.on('load resize footerRevealResize', function() {
        jQuerythis.css({
          'width' : jQueryprev.outerWidth()
        });
        jQueryprev.css({
          'margin-bottom' : jQuerythis.outerHeight()
        });
      });
    }

    return this;

  };

}) (jQuery);
