/********************************************************
  1. Custom mouse cursor
  2. Animsition preloader
  3. Swiper slider
  4. Isotope filter
  5. Midnight
  6. Navigation open/close
  7. Drop-down menu
  8. Change menu background
  9. ScrollAnimations
  10. Headroom
  11. Magnific popup
  12. Scroll to id
  13. Touch, no touch
  14. fixed footer
  15. Progress bar
********************************************************/

jQuery(function() {
    "use strict";
    
	jQuery(document).ready(function() {
	
		/* 2. Animsition preloader */
		jQuery(".animsition-overlay").animsition({
		    inClass: 'overlay-slide-in-right',
		    outClass: 'overlay-slide-out-right',
		   	inDuration: 1,
		    outDuration: 1500,
		    //linkElement: '.animsition-link, .footer-widget li a',
		    linkElement: 'a:not([target="_blank"]):not([href^="#"]):not([class*="lg-trigger"]):not([class*="comment-reply-link"]):not([id*="cancel-comment-reply-link"]):not([class*="no-animation"]):not([class*="ajax_add_to_cart"]) .woocommerce-product-gallery__image a:not([href^="#"])', // e.g. linkElement: 'a:not([target="_blank"]):not([href^="#"])'
		    loading: false,
		    loadingParentElement: 'body', //animsition wrapper element
		    loadingClass: 'animsition-loading',
		    loadingInner: '', // e.g '<img src="loading.svg" />'
		    timeout: true,
		    timeoutCountdown: 2000,
		    onLoadEvent: true,
		    browser: [ 'animation-duration', '-webkit-animation-duration'],
		    // "browser" option allows you to disable the "animsition" in case the css property in the array is not supported by your browser.
		    // The default setting is to disable the "animsition" in a browser that does not support "animation-duration".
		    overlay : true,
		    overlayClass : 'animsition-overlay-slide',
		    overlayParentElement : 'body',
		    transition: function(url){ window.location.href = url; }
		});
			
		jQuery('body').on('animsition.outStart', function(){
			jQuery('body').removeClass('active');
			jQuery('body').addClass('out');
		})
		
		jQuery('body').on('animsition.inEnd', function(){
			jQuery('body').addClass('active');
			jQuery('body').addClass('in');
			setTimeout(function () {      
			    jQuery("body").addClass("anim"); 
			}, 1000);
			
			/* 3. Swiper slider */
			var interleaveOffset = 0.5;
	
			var mySwiper = new Swiper ('.home-slider', {
				spaceBetween: 0,
			  	speed: 1500,
			    autoplay: {
			        delay: 5000
			    },
			    autoHeight: true,
			  	watchSlidesProgress: true,
			  	pagination: {
					el: '.swiper-pagination',
			    	type: 'bullets',
			       	clickable: true
				},
			  	navigation: {
			    	nextEl: ".swiper-button-next",
			    	prevEl: ".swiper-button-prev"
			  	},
			  	on: {
				    progress: function() {
				      	var swiper = this;
					  	for (var i = 0; i < swiper.slides.length; i++) {
				        	var slideProgress = swiper.slides[i].progress;
							var innerOffset = swiper.width * interleaveOffset;
							var innerTranslate = slideProgress * innerOffset;
							swiper.slides[i].querySelector(".slide-bg").style.transform =
				          	"translate3d(" + innerTranslate + "px, 0, 0)";
				      	}      
				    },
				    touchStart: function() {
				      	var swiper = this;
					  	for (var i = 0; i < swiper.slides.length; i++) {
				        	swiper.slides[i].style.transition = "";
				      	}
				    },
				    setTransition: function(speed) {
				      	var swiper = this;
					  	for (var i = 0; i < swiper.slides.length; i++) {
				        	swiper.slides[i].style.transition = speed + "ms";
							swiper.slides[i].querySelector(".slide-bg").style.transition =
							speed + "ms";
				      	}
				    }
			  	}
			});
				
			
			    
		    var swiper = new Swiper ('.about-slider', {
			  	slidesPerView: 2,
			  	spaceBetween: 30,
			  	centeredSlides: true,
			  	speed: 1400,
			  	freeMode: true,
			  	navigation: {
			    	nextEl: ".swiper-button-next",
			    	prevEl: ".swiper-button-prev"
			  	},
			  	breakpoints: {
				    767: {
				    	slidesPerView: 1
				    }
				}
		    });
		    
		    var mySwiper = new Swiper(".portfolio-slider", {
				direction: "vertical",
				navigation: {
			    	nextEl: ".swiper-button-next",
			    	prevEl: ".swiper-button-prev"
			  	},
			  	pagination: {
		        	el: '.swiper-pagination',
					clickable: true,
					dynamicBullets: true
		      	},
			  	speed: 1300,
			  	parallax: true,
			  	autoplay: false,
			  	effect: "slide",
			  	mousewheel: {
			  		sensitivity: 1
	  			}
			});
	
			var mySwiper = new Swiper(".portfolio-column-slider", {
				slidesPerView: 3,
				navigation: {
			    	nextEl: ".swiper-button-next",
			    	prevEl: ".swiper-button-prev"
			  	},
			  	speed: 1300,
			  	parallax: true,
			  	freeMode: false,
			  	autoplay: false,
			  	breakpoints: {
				    999: {
				    	slidesPerView: 2
				    },
				    767: {
				    	slidesPerView: 1
				    }
				},
				mousewheel: {
					sensitivity: 1
	  			}
			});
		    
		    var swiper = new Swiper ('.portfolio-slider2', {
			  	slidesPerView: 2,
			  	spaceBetween: 30,
			  	centeredSlides: true,
			  	speed: 1400,
			  	autoplay: {
			        delay: 5000
			    },
			  	freeMode: true,
			  	navigation: {
			    	nextEl: ".swiper-button-next",
			    	prevEl: ".swiper-button-prev"
			  	},
			  	breakpoints: {
				    999: {
				    	slidesPerView: 1
				    }
				}
		    });
		    
		    /* 4. Isotope filter */
			function projectFilter() {
				var jQuerygridt = jQuery('.works');
				jQuerygridt.isotope({
			  		itemSelector: '.grid-item',
			  		percentPosition: true
				});
				jQuery('.filter-buttons').on('click', 'button', function () {
					var filterValue = jQuery(this).attr('data-filter');
					jQuerygridt.isotope({
						filter: filterValue
					});
					jQuery(this).addClass('active').siblings().removeClass('active');
				});
			};
			projectFilter();
	
		});
		    
	    /* 5. Midnight */
	    jQuery('.fixed-header').midnight();
		
		/* 6. Navigation open/close */
		jQuery( ".menu-open" ).on( "click", function() {
		  	jQuery('.menu-open, .nav-container').addClass('active');
		});
		
		jQuery( ".menu-close" ).on( "click", function() {
		  	jQuery('.menu-open, .nav-container').removeClass('active');
		});
		
		/* 7. Drop-down menu */
		jQuery('.dropdown-open').on("click",function(){
		    jQuery(this).find('.dropdown').addClass('active');
		    jQuery('.nav-link').addClass('done');
		    jQuery('.dropdown-close').addClass('active');
		});
		
		jQuery('.dropdown-close').on("click",function(){    
		    jQuery('.dropdown').removeClass('active');
		    jQuery('.nav-link').removeClass('done');
		    jQuery('.dropdown-close').removeClass('active');
		});
		
		
	
	});
		
	/* 8. Change menu background */
	jQuery(document).on('mouseover', '.nav-bg-change', function(){		
		jQuery(this).addClass('current-menu-item').siblings().removeClass('current-menu-item')
		jQuery(this).siblings().removeClass('current-menu-parent')
	});
	
	/* 9. ScrollAnimations */
	var jQuerycontainers = jQuery('[data-animation]:not([data-animation-child]), [data-animation-container]');
	jQuerycontainers.scrollAnimations();
	
	/* 10. Headroom */
	jQuery(".fixed-header").headroom();
	
	/* 11. Magnific popup */
	jQuery('.photo-popup, .woocommerce-product-gallery__image a').magnificPopup({
	  	type: 'image',
	  	mainClass: 'mfp-with-zoom', // this class is for CSS animation below
	  	gallery: {
	    	// options for gallery
	    	enabled: true
	  	},
	  	zoom: {
	    	enabled: true, // By default it's false, so don't forget to enable it
			duration: 800, // duration of the effect, in milliseconds
			easing: 'cubic-bezier(.86, 0, .07, 1)', // CSS transition easing function
			// The "opener" function should return the element from which popup will be zoomed in
			// and to which popup will be scaled down
			// By defailt it looks for an image tag:
			opener: function(openerElement) {
	      		// openerElement is the element on which popup was initialized, in this case its <a> tag
		  		// you don't need to add "opener" option if this code matches your needs, it's defailt one.
		  		return openerElement.is('img') ? openerElement : openerElement.find('img');
	    	}
	  	}
	});
	
	jQuery('.popup-youtube').magnificPopup({
		disableOn: 100,
		type: 'iframe',
		mainClass: 'mfp-fade',
		removalDelay: 160,
		preloader: false
	});
	
	/* 12. Scroll to id */
	jQuery('.to-top-btn, .scroll-btn').mPageScroll2id();
	
	/* 13. Touch, no touch */
	var supports = (function() {
	    var d = document.documentElement,
	        c = "ontouchstart" in window || navigator.msMaxTouchPoints;
	    if (c) {
	        d.className += " touch";
	        return {
	            touch: true
	        }
	    } else {
	        d.className += " no-touch";
	        return {
	            touch: false
	        }
	    }
	})();
	
	/* 14. fixed footer */
	jQuery('footer').footerReveal({ 
		shadow: false,
		zIndex : 1
	});
	
	/* 15. Progress bar */
	jQuery(".progress-zero").each(function(){
		jQuery(this).find(".progress-full").animate({
			width: jQuery(this).attr("data-progress")
  		});
	});
	
	jQuery(".dropdown li a").each(function(i){
	jQuery(this).removeClass('nav-link');
	});
	
	/* parallax bg */
	jQuery(window).scroll(function() {
		parallax();
	});

	function parallax() {
		var wScroll = jQuery(window).scrollTop();
		
		jQuery('.parallax--bg').css('background-position', 'center '+(wScroll*0.25)+'px')
		
	}
	
	
	
});

	
