<?php $xen_options = get_option('xen'); ?>
<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

get_header( 'shop' );

/**
 * Hook: woocommerce_before_main_content.
 *
 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
 * @hooked woocommerce_breadcrumb - 20
 * @hooked WC_Structured_Data::generate_website_data() - 30
 */
do_action( 'woocommerce_before_main_content' );

?>
<!-- page-head start -->
			<section id="up" class="page-head flex-min-height-box <?php if (xen_AfterSetupTheme::return_thme_option('shop_animated_back_color_opt')=='st2'){ ?>dark-bg-1<?php } else { ?>dark-bg-2<?php } ;?>" <?php if (xen_AfterSetupTheme::return_thme_option('shop_midnight_color_opt')=='st2'){ ?>data-midnight="black"<?php } ;?>>
						<?php $xen_shop_back = xen_AfterSetupTheme::return_thme_option('shopheaderimg','url');
						$xen_dot="'";
						?>
						<?php if ( is_product_category() ){
						global $wp_query;
						$xen_cat = $wp_query->get_queried_object();
						$xen_thumbnail_id = get_term_meta( $xen_cat->term_id, 'thumbnail_id', true );
						$xen_image = wp_get_attachment_url( $xen_thumbnail_id );
						if ( $xen_image ) {
						echo '<div class="page-head-bg overlay-loading2" style="background-image: url('.$xen_image.');"></div>';
						}
						else {
						echo '<div class="page-head-bg overlay-loading2" style="background-image: url('.$xen_shop_back.');"></div>';
						}
						} else { ?>
						<div class="page-head-bg overlay-loading2" style="background-image: url(<?php echo esc_url($xen_shop_back);?>);"></div>
                        
						<?php } ;?>
				<!-- page-head-bg -->
				
				
				<!-- flex-min-height-inner start -->
	  			<div class="flex-min-height-inner">
		  			<!-- flex-container start -->
		  			<div class="container top-bottom-padding-120 flex-container response-999">
			  			<!-- column start -->
			  			<div class="six-columns six-offset">
				  			<div class="content-left-margin-40">
								<?php if ( is_product_category() ){ ?>
								<?php } else { ?>
								<?php if(!empty($xen_options['shopsubtitle'])):?>
					  			<h2 class="overlay-loading2 tr-delay03 medium-title red-color"><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('shopsubtitle',''));?></h2>
								<?php endif;?>
								<?php } ;?>
								<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
				  				<h3 class="large-title-bold text-color-4">
								<?php if ( is_product_category() ){ ?>
									<span class="overlay-loading2 overlay-light-bg-1 tr-delay04"><?php woocommerce_page_title(); ?></span><br>
								<?php } else { ?>
								<?php if (xen_AfterSetupTheme::return_thme_option('shop_animated_title_opt')=='st2'){ ?>
								<?php if(!empty($xen_options['shop_animated_title_1'])):?>
								<span class="overlay-loading2 overlay-light-bg-1 tr-delay04"><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('shop_animated_title_1',''));?></span><br>
								<?php endif;?>
								<?php if(!empty($xen_options['shop_animated_title_2'])):?>
								<span class="overlay-loading2 overlay-light-bg-1 tr-delay05"><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('shop_animated_title_2',''));?></span><br>
								<?php endif;?>
								<?php if(!empty($xen_options['shop_animated_title_3'])):?>
								<span class="overlay-loading2 overlay-light-bg-1 tr-delay06"><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('shop_animated_title_3',''));?></span><br>
								<?php endif;?>
								<?php } else { ?>
								<span class="overlay-loading2 overlay-light-bg-1 tr-delay04"><?php woocommerce_page_title(); ?></span><br>
								<?php } ;?>
								<?php } ;?>
								</h3>
								<?php endif; ?>
								<div class="d-flex-wrap top-margin-20 text-color-4">
								<?php if ( is_product_category() ){ ?>
								<span class="small-title-oswald text-height-20 fade-loading tr-delay08 top-margin-10">
									<?php
									/**
									 * Hook: woocommerce_archive_description.
									 *
									 * @hooked woocommerce_taxonomy_archive_description - 10
									 * @hooked woocommerce_product_archive_description - 10
									 */
									do_action( 'woocommerce_archive_description' );
									?>
								</span>									
								<?php };?>
									
								</div>
				  			</div>
			  			</div><!-- column end -->
		  			</div><!-- flex-container end -->
	  			</div><!-- flex-min-height-inner end -->
	  			
	  			<!-- scroll-btn start -->
				<a href="#down" class="scroll-btn pointer-large">
					<div class="scroll-arrow-box">
						<span class="scroll-arrow"></span>
					</div>
					<div class="scroll-btn-flip-box">
						<span class="scroll-btn-flip" data-text="<?php if(!empty($xen_options['translet_opt_1'])):?><?php echo esc_attr(xen_AfterSetupTheme::return_thme_option('translet_opt_1',''));?><?php else : ?><?php esc_attr_e('Scroll','xen');?><?php endif;?>"><?php if(!empty($xen_options['translet_opt_1'])):?><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('translet_opt_1',''));?><?php else : ?><?php esc_html_e('Scroll','xen');?><?php endif;?></span>
					</div>
				 </a><!-- scroll-btn end -->
			</section><!-- page-head end -->
<section id="down" class="blog container bottom-padding-120 top-padding-120 light-bg-1" data-midnight="black">
<!-- flex-container start -->
<div class="flex-container">
				<?php if ( is_active_sidebar( 'sidebar-3' ) ) : ?>
				<?php global $xen_sidebar_class; ?>
				<?php $xen_sidebar_class = "eight-columns xen-overflow-hidden latest-news";?>
				<?php else : ?>
				<?php $xen_sidebar_class = "ten-columns one-offset";?>
				<?php endif;?>
<div class="<?php echo esc_attr($xen_sidebar_class);?>">
<?php
if ( woocommerce_product_loop() ) {

	/**
	 * Hook: woocommerce_before_shop_loop.
	 *
	 * @hooked woocommerce_output_all_notices - 10
	 * @hooked woocommerce_result_count - 20
	 * @hooked woocommerce_catalog_ordering - 30
	 */
	do_action( 'woocommerce_before_shop_loop' );
	

	woocommerce_product_loop_start();

	if ( wc_get_loop_prop( 'total' ) ) {
		while ( have_posts() ) {
			the_post();

			/**
			 * Hook: woocommerce_shop_loop.
			 */
			do_action( 'woocommerce_shop_loop' );

			wc_get_template_part( 'content', 'product' );
		}
	}

	woocommerce_product_loop_end();

	/**
	 * Hook: woocommerce_after_shop_loop.
	 *
	 * @hooked woocommerce_pagination - 10
	 */
	do_action( 'woocommerce_after_shop_loop' );
} else {
	/**
	 * Hook: woocommerce_no_products_found.
	 *
	 * @hooked wc_no_products_found - 10
	 */
	do_action( 'woocommerce_no_products_found' );
}

/**
 * Hook: woocommerce_after_main_content.
 *
 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
 */
do_action( 'woocommerce_after_main_content' );
?>
</div>
<?php if ( is_active_sidebar( 'sidebar-3' ) ) : ?>
					<!-- column start -->
					<aside class="four-columns bottom-padding-90">
						<!-- sidebar start -->
						<div class="sidebar content-left-margin-40 red-bg">
							<!-- sidebar-box start -->
							<div class="sidebar-box">
							<?php dynamic_sidebar( 'sidebar-3' ); ?>	
							</div><!-- sidebar-box end -->
						</div><!-- sidebar end -->
					</aside><!-- column end -->
					<?php endif;?>
<?php
/**
 * Hook: woocommerce_sidebar.
 *
 * @hooked woocommerce_get_sidebar - 10
 */
do_action( 'woocommerce_sidebar' );

?>
</div>
</section>