<?php
/**
 * The template for displaying product widget entries.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-reviews.php
 * 
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

?>
<li class="top-margin-30">
<div class="recent-entry">
	<?php do_action( 'woocommerce_widget_product_review_item_start', $args ); ?>

	<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="recent-entry-img-box pointer-large animsition-link">
		<?php echo $product->get_image(); ?>
	
	</a>
	<div class="recent-desc">
	<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="xsmall-title-oswald text-color-4 pointer-large animsition-link"><?php echo $product->get_name(); ?></a>
	<?php echo wc_get_rating_html( intval( get_comment_meta( $comment->comment_ID, 'rating', true ) ) );?>

	<div class="p-style-xsmall text-color-4 text-height-10 top-margin-5"><?php echo sprintf( esc_html__( 'by %s', 'xen' ), get_comment_author( $comment->comment_ID ) ); ?></div>
	</div>
	<?php do_action( 'woocommerce_widget_product_review_item_end', $args ); ?>
</div>
</li>
