<?php

class xen_contact_widget extends WP_Widget {
    var $settings = array( 'title', 'phone', 'email', 'address', 'address_url');

    function __construct() {
        $widget_ops = array('description' => 'Use this widget to add any type of Contact Details as a widget.' );
        parent::__construct(false, __('XEN - Contact Widget', 'xen'),$widget_ops);
}


function widget($args, $instance) {
        $settings = $this->xen_get_settings();
        extract( $args, EXTR_SKIP );
		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : ( '' );
		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
        $instance = wp_parse_args( $instance, $settings );
        extract( $instance, EXTR_SKIP );

      
        echo $before_widget;
		 if ( $title ) echo $before_title . $title . $after_title; 
		
		echo '<ul class="footer-information">';
		
		if ( $email != '' ) {
		echo '<li><i class="far fa-envelope"></i><a href="mailto:'.$email.'" class="xsmall-title-oswald no-animation">'.$email.'</a></li>';
		}
		if ( $phone != '' ) {
		echo '<li><i class="fas fa-mobile-alt"></i><a href="tel:'.$phone.'" class="xsmall-title-oswald no-animation">'.$phone.'</a></li>';
		}
		if ( $address != '' ) {
		echo '<li><i class="fas fa-map-marker-alt"></i>';
		if ( $address_url != '' ) {
		echo '<a href="'.$address_url.'" class="xsmall-title-oswald text-height-17 no-animation" target="_blank">'.do_shortcode($address).'</a>';
		}
		else {
		echo '<a href="#0" class="xsmall-title-oswald text-height-17 no-animation" >'.do_shortcode($address).'</a>';
		}
		echo '</li>';
		}
		echo '</ul>';
		
		
		
       echo $after_widget;      
    }
	
	


function update( $new_instance, $old_instance ) {
        foreach ( array( 'title', 'phone', 'email', 'address', 'address_url' ) as $setting )
            $new_instance[$setting] = strip_tags( $new_instance[$setting] );
        // Users without unfiltered_html cannot update this arbitrary HTML field
        if ( !current_user_can( 'unfiltered_html' ) )
            $new_instance['address'] = $old_instance['address'];
        return $new_instance;
    }


    function xen_get_settings() {
        // Set the default to a blank string
        $settings = array_fill_keys( $this->settings, '' );
        // Now set the more specific defaults
        return $settings;
    }

    function form($instance) {
        $instance = wp_parse_args( $instance, $this->xen_get_settings() );
        extract( $instance, EXTR_SKIP );
?>

    <p>
        <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Title:','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo esc_attr( $title ); ?>" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" />
    </p>
	
	<p>
        <label for="<?php echo $this->get_field_id('phone'); ?>"><?php esc_html_e('Phone Number:','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('phone'); ?>" value="<?php echo esc_attr( $phone ); ?>" class="widefat" id="<?php echo $this->get_field_id('phone'); ?>" />
    </p>
    
	
    <p>
        <label for="<?php echo $this->get_field_id('email'); ?>"><?php esc_html_e('E-mail:','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('email'); ?>" value="<?php echo esc_attr( $email ); ?>" class="widefat" id="<?php echo $this->get_field_id('email'); ?>" />
    </p>
	
	
	
	<p>
        <label for="<?php echo $this->get_field_id('address'); ?>"><?php esc_html_e('Address:','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('address'); ?>" value="<?php echo esc_attr( $address ); ?>" class="widefat" id="<?php echo $this->get_field_id('address'); ?>" />
    </p>
	
	<p>
        <label for="<?php echo $this->get_field_id('address_url'); ?>"><?php esc_html_e('Address URL:','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('address_url'); ?>" value="<?php echo esc_attr( $address_url ); ?>" class="widefat" id="<?php echo $this->get_field_id('address_url'); ?>" />
    </p>
	
	
	
	
    

    <?php 

    }
}

register_widget('xen_contact_widget');