<?php

class xen_social_widget extends WP_Widget {
    var $settings = array( 'title', 'instagram', 'facebook', 'spotify', 'vimeo', 'behance', 'twitter', 'youtube');

    function __construct() {
        $widget_ops = array('description' => 'Share your Social profile list.' );
        parent::__construct(false, __('XEN - Social Widget', 'xen'),$widget_ops);
}


function widget($args, $instance) {
        $settings = $this->xen_get_settings();
        extract( $args, EXTR_SKIP );
		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : ( '' );
		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
        $instance = wp_parse_args( $instance, $settings );
        extract( $instance, EXTR_SKIP );

      
        echo $before_widget;
		 if ( $title ) echo $before_title . $title . $after_title; 
		
		echo '<ul class="footer-social">';
		
		if ( $instagram != '' ) {
		echo '<li><div class="flip-btn-box">
		<a href="'.esc_url($instagram).'" class="flip-btn pointer-small" data-text="'.esc_attr__('Instagram','xen').'">'.esc_html__('Instagram','xen').'</a>
		</div></li>';
		}
		if ( $facebook != '' ) {
		echo '<li><div class="flip-btn-box">
		<a href="'.esc_url($facebook).'" class="flip-btn pointer-small" data-text="'.esc_attr__('Facebook','xen').'">'.esc_html__('Facebook','xen').'</a>
		</div></li>';
		}
		
		if ( $twitter != '' ) {
		echo '<li><div class="flip-btn-box">
		<a href="'.esc_url($twitter).'" class="flip-btn pointer-small" data-text="'.esc_attr__('Twitter','xen').'">'.esc_html__('Twitter','xen').'</a>
		</div></li>';
		}
		
		if ( $spotify != '' ) {
		echo '<li><div class="flip-btn-box">
		<a href="'.esc_url($spotify).'" class="flip-btn pointer-small" data-text="'.esc_attr__('Spotify','xen').'">'.esc_html__('Spotify','xen').'</a>
		</div></li>';
		}
		
		if ( $vimeo != '' ) {
		echo '<li><div class="flip-btn-box">
		<a href="'.esc_url($vimeo).'" class="flip-btn pointer-small" data-text="'.esc_attr__('Vimeo','xen').'">'.esc_html__('Vimeo','xen').'</a>
		</div></li>';
		}
		
		if ( $youtube != '' ) {
		echo '<li><div class="flip-btn-box">
		<a href="'.esc_url($youtube).'" class="flip-btn pointer-small" data-text="'.esc_attr__('Youtube','xen').'">'.esc_html__('Youtube','xen').'</a>
		</div></li>';
		}
		
		if ( $behance != '' ) {
		echo '<li><div class="flip-btn-box">
		<a href="'.esc_url($behance).'" class="flip-btn pointer-small" data-text="'.esc_attr__('Behance','xen').'">'.esc_html__('Behance','xen').'</a>
		</div></li>';
		}
		
		echo '</ul>';
		
		
		
       echo $after_widget;      
    }
	
	


function update( $new_instance, $old_instance ) {
        foreach ( array( 'title', 'instagram', 'facebook', 'spotify', 'vimeo', 'behance', 'twitter', 'youtube' ) as $setting )
            $new_instance[$setting] = strip_tags( $new_instance[$setting] );
        // Users without unfiltered_html cannot update this arbitrary HTML field
        if ( !current_user_can( 'unfiltered_html' ) )
            $new_instance['address'] = $old_instance['address'];
        return $new_instance;
    }


    function xen_get_settings() {
        // Set the default to a blank string
        $settings = array_fill_keys( $this->settings, '' );
        // Now set the more specific defaults
        return $settings;
    }

    function form($instance) {
        $instance = wp_parse_args( $instance, $this->xen_get_settings() );
        extract( $instance, EXTR_SKIP );
?>

    <p>
        <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Title:','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo esc_attr( $title ); ?>" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" />
    </p>
	
	<p>
        <label for="<?php echo $this->get_field_id('instagram'); ?>"><?php esc_html_e('Instagram URL','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('instagram'); ?>" value="<?php echo esc_attr( $instagram ); ?>" class="widefat" id="<?php echo $this->get_field_id('instagram'); ?>" />
    </p>
    
	<p>
        <label for="<?php echo $this->get_field_id('twitter'); ?>"><?php esc_html_e('Twitter URL','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('twitter'); ?>" value="<?php echo esc_attr( $twitter ); ?>" class="widefat" id="<?php echo $this->get_field_id('twitter'); ?>" />
    </p>
	
    <p>
        <label for="<?php echo $this->get_field_id('facebook'); ?>"><?php esc_html_e('Facebook URL','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('facebook'); ?>" value="<?php echo esc_attr( $facebook ); ?>" class="widefat" id="<?php echo $this->get_field_id('facebook'); ?>" />
    </p>
	
	
	
	<p>
        <label for="<?php echo $this->get_field_id('spotify'); ?>"><?php esc_html_e('Spotify URL','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('spotify'); ?>" value="<?php echo esc_attr( $spotify ); ?>" class="widefat" id="<?php echo $this->get_field_id('spotify'); ?>" />
    </p>
	
	<p>
        <label for="<?php echo $this->get_field_id('vimeo'); ?>"><?php esc_html_e('Vimeo URL','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('vimeo'); ?>" value="<?php echo esc_attr( $vimeo ); ?>" class="widefat" id="<?php echo $this->get_field_id('vimeo'); ?>" />
    </p>
	
	<p>
        <label for="<?php echo $this->get_field_id('youtube'); ?>"><?php esc_html_e('Youtube URL','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('youtube'); ?>" value="<?php echo esc_attr( $youtube ); ?>" class="widefat" id="<?php echo $this->get_field_id('youtube'); ?>" />
    </p>
	
	<p>
        <label for="<?php echo $this->get_field_id('behance'); ?>"><?php esc_html_e('Behance URL','xen'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('behance'); ?>" value="<?php echo esc_attr( $behance ); ?>" class="widefat" id="<?php echo $this->get_field_id('behance'); ?>" />
    </p>
	<?php 

    }
}

register_widget('xen_social_widget');